Bug 76233 - new kernel up2date hangs laptop at shutdown
new kernel up2date hangs laptop at shutdown
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-18 10:59 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-16 06:07:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-18 10:59:25 EDT
Description of Problem:
With the up2dated kernel-2.14.18-17.0 my laptop hangs during shutdown and
I have to use the power button to abort.
This concerns a Dell i8100 laptop on which RedHat-8.0 was installed succesfully
without problems. I have an Intel PRO/100 PC Card using the xirc2_ps driver.
At the same time the package hwdata-0.48-1.noarch.rpm was installed.
During the shutdown proces it gets to:

Shutting down loopback interface:                                 [OK]
Stopping iptables:                                                [OK]
Stopping pcmcia: cardmgr[502]: executing: './network stop eth0'

and then halts. Nothing happens any further. Have to use the power button
to quit.

This happens when shutting down from Gnome using the logout menu and
when giving the command 'halt -p' from the console.
I had to revert to the original kernel because I could find nothing
relevant in the logs or the 'network' scripts.


Version-Release number of selected component (if applicable):
Kernel-2.4.18-17.8.0 and hwdata-0.48-1


How Reproducible:
Always.


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
I don't know if this is relevant but 'hwbrowser' crashes on this machine.
Comment 1 Need Real Name 2002-10-18 13:45:05 EDT
I own a Compaq Armada E500 and have encountered the same problem.
Looks like a problem with the pcmcia utilities and the new kernel (2.4.18-17.8.0). 
It's also reproducable with the cardctl command. cardctl eject will hang the system.

Hardware: Compaq Armada E500,PIII 700Mhz,128MB memory, Xircom Realport Ethernet
10/100+ Modem 56 [REM56G-100] (xirc2ps_cs/serial_cs), Onboard Intel Pro 10/100
(eepro100), ESS1978 Meastro 2E onboard soundcard (maestro).
Comment 2 diego.santacruz 2002-10-21 12:45:05 EDT
Can also confirm the problem with an HP 4150 Omnibook laptop, using
a Xircom CreditCard Ethernet 10/100+ Modem 56 PCMCIA card (CEM56-100), that uses
the xirc2ps_cs driver.

cardctl eject will hang the system hard.

an Alt-SysRq-P shows that the kernel is stuck in the exit_xirc2ps_cs() function
if I remember correctly (sorry, I forgot the exact message, so that could be
somewhat wrong). If really needed I can provide the exact message.
Comment 3 diego.santacruz 2002-10-21 12:46:53 EDT
Forgot to mention, but "cardctl eject" works without problem with kernel-2.4.18-14
Comment 4 yamaneko 2002-11-05 17:04:03 EST
I also have been having the problem with shuting down, after I upgraded my
kernel.  Shutdown stops and hangs at:
Stopping pcmcia: cardmgr[]: executing: './network stop eth0'

My laptop is a Toshiba Satelite Pro w/xircom cardbus 10/100 

I traced is down to the change to  xirc2ps_release function in xirc2ps_cs.c.
xirc2ps_release now uses tqueue?, and there seems to be a problem with it not
actually releasing. (or detaching). I don't know anything about tqueue, but I
will try and look into it :-)   

I was able to get my cardbus services to shutdown by not using the new
xirc2ps_release. 

I commented it out and the renamed 
xirc2ps_release_task(void *arg)  back to 
xirc2ps_release(u_long arg) 

I know this is not a solution, but a hack, but hopefully this info will be
useful to someone who has more knowledge of this than me :-) 

  
Comment 5 Arjan van de Ven 2002-11-05 17:05:59 EST
there is a preliminary kernel with a proposed fix available from:
http://people.redhat.com/arjanv/testkernels
Comment 6 yamaneko 2002-11-05 18:07:28 EST
I installed the kernel from
http://people.redhat.com/arjanv/testkernels

It worked just fine for me. I am able to shutdown and reboot without problems.   

Thanks!!! 

Comment 7 Need Real Name 2002-11-06 10:17:02 EST
I installed the testkernel from people.redhat.com/arjanv/testkernels.
The problem with shutting down and xirc2ps_cs seems to be solved.

But I now have a second problem resulting from the install of
kernel-2.4.18-17.2: I cannot rebuild the NVIDIA_kernel-1.0-3123.src.rpm!

I could rebuild the NVIDIA_kernel without any problems under the
original kernel-2.4.18-14.i686.rpm and also under the up2date kernel
kernel-2.4.18-17.8.0.i686.rpm. Never had any problems.

Now, under kernel-2.4.18-17.2 I seem to get a compiler mismatch:
"you appear to be compiling the NVdriver kernel module with a compiler
different from the one that was used to compile the running kernel"

This is very irritating. I don't want to start ignoring the mismatch.
So I will again have to switch back to kernel-2.4.18-14 again.
Can you please give some advice on how to proceed.
This laptop just happens to have a Geforce2 Go.
Comment 8 diego.santacruz 2002-11-07 11:09:33 EST
I tested the new kernel from http://people.redhat.com/arjanv/testkernels
(kernel-2.4.18-17.2, i686-UP).

The problem with cardctl eject was solved. No halt, no kernel messages.

However, if I just manually eject the card (without doing a cardctl eject) the
kernel goes into a very long list of oops. After this, any keystroke on the
console prints more oops messages. Unfortunately they scroll much too fast on
the console and don't get written to /var/log/messages, so I can't tell what
they are.

Maybe this is relatated to bug #74735 and bug #66745, only that it is much
worse: instead of just printing a "vfree(): sleeping on interrupt!!!" message it
renders the machine unusable.
Comment 9 Arjan van de Ven 2002-11-16 06:07:04 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-262.html
Comment 10 diego.santacruz 2002-11-19 06:46:35 EST
As I already reported with the test kernel, this errata is badly broken when
ejecting the pcmcia card without first issuing a "cardctl eject" command.
Opened bug #78135 for this new problem.

Note You need to log in before you can comment on or make changes to this bug.